internal::do_if< T, true > Struct Template Reference

`#include <_flow_graph_types_impl.h>`

Collaboration diagram for internal::do_if< T, true >:

## Static Public Member Functions

static void | construct (void *mySpace, const T &x)

## Detailed Description

### template<typename T>
struct internal::do_if< T, true >

Definition at line 588 of file _flow_graph_types_impl.h.

## Member Function Documentation

## construct()

template<typename T >

static void internal::do_if< T, true >::construct | ( | void * | mySpace,
|  | const T & | x
| ) |  |

inline static

Definition at line 589 of file _flow_graph_types_impl.h.

{
(void) new(mySpace) Wrapper<T>(x);
}

References void.

The documentation for this struct was generated from the following file:

- _flow_graph_types_impl.h

void
void
Definition: ittnotify_static.h:91

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.